Index: common/common.h
--- common/common.h.orig	2004-01-08 00:25:46.000000000 +0100
+++ common/common.h	2004-01-08 21:09:46.000000000 +0100
@@ -140,6 +140,8 @@
 #undef HAVE_SOCKADDR_STORAGE
 #endif
 
+/* the name 'log' conflicts with gcc-3.x builtin */
+#define log rwhoisd_log
 
 #endif /* _COMMON_H_ */
 
Index: sample.data/rwhoisd.conf
--- sample.data/rwhoisd.conf.orig	1997-11-26 00:23:46.000000000 +0100
+++ sample.data/rwhoisd.conf	2004-01-08 21:09:50.000000000 +0100
@@ -12,13 +12,13 @@
 # normal default is ""
 # NOTE:  you want to change this.
 
-root-dir: /home/databases/rwhoisd
+root-dir: @l_prefix@/etc/rwhoisd
 
 # bin-path: Where to find extra binaries.
 # bin-path: bin means <root-dir>/bin
 # bin-path: /usr/local/bin means /usr/local/bin.
 # normal default is "bin"
-# bin-path: bin
+bin-path: @l_prefix@/bin
 
 # auth-area-file: The config file that contains the list of authority areas.
 # This file is required.
@@ -66,7 +66,7 @@
 # %see-also can be locally resolved.  If omitted, rwhoisd will attempt
 # derive the value
 
-# local-host: rwhois.a.com
+# local-host: rwhois.example.com
 
 # local-port: The advertised port that rwhoisd listens to.  The IANA
 # assigned port for RWhois is 4321 (and so that is the default).
@@ -109,19 +109,19 @@
 # users group, as found in /etc/passwd.
 # note that this really, really should be an unprivileged user
 # this options doesn't have a default.
-userid: rwhoisd
+userid: @l_rusr@
 
 # pid-file: where to put the file containing the pid of the server.
 # normal default is "rwhoisd.pid"
 
 # pid-file: /var/run/rwhoisd.pid
-pid-file: rwhoisd.pid
+pid-file: @l_prefix@/var/rwhoisd/rwhoisd.pid
 
 # server contact: who to contact about problems related to the server
 # itself.
 # this option doesn't have a default.
 
-server-contact: hostmaster@a.com
+server-contact: hostmaster@example.com
 
 # use-syslog: whether or not to log using syslog;
 # if it isn't logging to syslog, it attempts to log to files (see below)
@@ -138,20 +138,20 @@
 # to log to if not overridden by at a particular level.
 # normal default is "rwhoisd.log"
 
-# default-log-file: rwhoisd.log
+default-log-file: @l_prefix@/var/rwhoisd/rwhoisd.log
 
 # <level>-log-file: if not logging to syslog, log messages at <level>
 # to this file.  <level> is one of {emergency, alert, crit, err, warn,
 # notice, info, debug}
 
-# emergency-log-file: rwhois.crit.log
-# alert-log-file:     rwhois.crit.log
-# crit-log-file:      rwhois.crit.log
-# err-log-file:       rwhois.err.log
-# warn-log-file:      rwhois.err.log
-# notice-log-file:    rwhois.info.log
-# info-log-file:      rwhois.info.log
-# debug-log-file:     rwhois.info.log
+emergency-log-file: @l_prefix@/var/rwhoisd/rwhois.crit.log
+alert-log-file:     @l_prefix@/var/rwhoisd/rwhois.crit.log
+crit-log-file:      @l_prefix@/var/rwhoisd/rwhois.crit.log
+err-log-file:       @l_prefix@/var/rwhoisd/rwhois.err.log
+warn-log-file:      @l_prefix@/var/rwhoisd/rwhois.err.log
+notice-log-file:    @l_prefix@/var/rwhoisd/rwhois.info.log
+info-log-file:      @l_prefix@/var/rwhoisd/rwhois.info.log
+debug-log-file:     @l_prefix@/var/rwhoisd/rwhois.info.log
 
 # verbosity: set the level at which you want logging to occur.  The
 # higher the number, the more logging occurs.  The value is a number
@@ -189,7 +189,7 @@
 # security feature, making it harder to interpose a bogus version of
 # pgp.  If not set, it uses the server's PATH to find the binary.
 
-# pgp-bin-path: /usr/local/bin/pgp
+# pgp-bin-path: @l_prefix@/bin/pgp
 
 # pgp-keyring-path: the path to the directory containing the pgp
 # public and private keyrings (pubring.pgp, secring.pgp, etc).
Index: tools/rwhois_repack/Makefile.in
--- tools/rwhois_repack/Makefile.in.orig	2004-02-04 18:14:15.000000000 +0100
+++ tools/rwhois_repack/Makefile.in	2004-02-21 09:07:46.000000000 +0100
@@ -52,12 +52,12 @@
 # procedural
 
 install:
-	if [ ! -d $(exec_prefix) ]; then mkdir $(exec_prefix); fi
-	if [ ! -d $(bindir) ]; then mkdir $(bindir); fi
-	$(INSTALL) rwhois_repack $(bindir)
+	if [ ! -d $(DESTDIR)$(exec_prefix) ]; then mkdir $(DESTDIR)$(exec_prefix); fi
+	if [ ! -d $(DESTDIR)$(bindir) ]; then mkdir $(DESTDIR)$(bindir); fi
+	$(INSTALL) rwhois_repack $(DESTDIR)$(bindir)
 
 uninstall:
-	$(RM) $(bindir)/rwhois_repack
+	$(RM) $(DESTDIR)$(bindir)/rwhois_repack
 
 clean:
 	rm -f *.o rwhois_repack
